Path of KeePassX is not recognized

Bug #1613404 reported by Oliver Sauder on 2016-08-15
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Diodon
Medium
Unassigned

Bug Description

Diodon cannot properly detect path of KeePassX. This has to do that the /proc/[PID]/exe is not accessible (Permission denied). Seems KeePassX doesn't something special there...

Will need to see how we can work around this.

Original post:
I really love your lightweight and fast diodon, mostly because its so well integrated in ubuntu.

That said i got a Problem with not saving my passwords to Zeitgeist.

I use Diodon 1.5.0 , and KeepassX 2.0.2.

I started zeitgeist manually to DEBUG it a little bit

[14:13:01.142062 DEBUG] ext-blacklist.vala:179: Added blacklist template: [#1392058047]
[14:13:01.151160 DEBUG] ext-blacklist.vala:179: Added blacklist template: [#3313910425]

is when i add the KeePassX app to the excluded Application in Settings->Privacy.

Then i copy a password with CTRL + C from KeePassX.

[14:41:48.071513 DEBUG] notify.vala:234: Notifying :1.192 about 1 insertions
[14:41:48.071604 DEBUG] notify.vala:234: Notifying org.gnome.zeitgeist.SimpleIndexer about 1 insertions
[14:41:48.071676 DEBUG] notify.vala:234: Notifying :1.130 about 1 insertions

In the acivity.sqlite a event is created with the actor: "application://diodon.desktop"

The DIODON DEBUG LOG SAYS:

** (diodon:8591): DEBUG: utility.vala:143: Active window 0x4600007
** (diodon:8591): DEBUG: utility.vala:169: Copied by process with pid 7437
** (diodon:8591): DEBUG: utility.vala:86: Path is (null)
** (diodon:8591): DEBUG: controller.vala:353: received item of type DiodonTextClipboardItem from clipboard 1 with label ******
** (diodon:8591): DEBUG: zeitgeist-clipboard-storage.vala:271: Add item ****** to clipboard
** (diodon:8591): DEBUG: zeitgeist-clipboard-storage.vala:306: event actor set to application://diodon.desktop
** (diodon:8591): DEBUG: zeitgeist-clipboard-storage.vala:239: Get recent 25 items
** (diodon:8591): DEBUG: zeitgeist-clipboard-storage.vala:532: Created 25 clipboard items
** (diodon:8591): DEBUG: controller.vala:477: Clipboard 1 is empty.

And my password shows up in diodon , and stays there :(

So my question is ... ist this a bug ? or do i need to somehow reinitialize my Zeitgeist ?

Related branches

Oliver Sauder (sao) on 2016-10-17
Changed in diodon:
milestone: none → 1.6.0
Oliver Sauder (sao) on 2016-10-29
Changed in diodon:
status: New → Confirmed
Oliver Sauder (sao) wrote :

KeePassX changes the owner of /proc/[PID] to root and therefore Diodon is not able to read it.

Not quite sure how it does it but I guess it is a security measure.

We will need to implement a way where reading of /proc/[PID]/exe file is not necessary to figure out the path.

Oliver Sauder (sao) on 2017-02-18
Changed in diodon:
importance: Undecided → Medium
Oliver Sauder (sao) on 2017-03-30
Changed in diodon:
status: Confirmed → In Progress
Oliver Sauder (sao) on 2017-03-31
Changed in diodon:
status: In Progress → Fix Committed
Oliver Sauder (sao) on 2017-07-25
Changed in diodon:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers